/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.dao.hibernate;

import com.rjconsultores.ventaboletos.dao.TarifaCategoriaDAO;
import com.rjconsultores.ventaboletos.entidad.Categoria;
import com.rjconsultores.ventaboletos.entidad.TarifaCategoria;
import java.util.List;
import org.hibernate.Criteria;
import org.hibernate.SessionFactory;
import org.hibernate.criterion.Restrictions;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Repository;

/**
 *
 * @author rodrigo
 */
@Repository("tarifaCategoriaDAO")
public class TarifaCategoriaHibernateDAO
        extends GenericHibernateDAO<TarifaCategoria, Integer>
        implements TarifaCategoriaDAO {

    @Autowired
    public TarifaCategoriaHibernateDAO(@Qualifier("sessionFactory") SessionFactory factory) {
        setSessionFactory(factory);
    }

    @Override
    public List<TarifaCategoria> obtenerTodos() {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq(ACTIVO, Boolean.TRUE));

        return c.list();
    }

    public List<TarifaCategoria> buscarPorCategoria(Categoria categoria) {
        Criteria c = getSession().createCriteria(getPersistentClass());
        c.add(Restrictions.eq("categoria", categoria));

        return c.list();
    }
}
